| FoxitPDFSDKforWeb v11.0.5 Archives Foxit PDF SDK for Web

List of all members
CreateCircleAreaController Class Reference
UIExtension » controllers
Inheritance diagram for CreateCircleAreaController:

## Additional Inherited Members
Public Member Functions inherited from StatefulController
| constructor (component, ExpectedStateHandlerClass)
| Classes inherit from StatefulController must override this contructor and passing a class inherit from IStateHandler into `super()` function. If that StateHandler class has been registed, you can also passing the state handler name instead of class into `super()` function. More...
Public Member Functions inherited from Controller
| constructor (component)
| destroy ()
| Destruction this controller instance after component destroyed.
| getComponentByName (name)
| handle (...args)
Public Member Functions inherited from Disposable
| addDestroyHook (...hooks)
| Add a function to destroyHooks list, which will be called during destroy. More...
| destroy ()
| ownsTo (owner)
| Establishes an ownership relationship where this instance will be destroyed when the owner is destroyed. Additionally, the owner will be automatically removed from the destroyHooks list when this instance is destroyed. More...
Static Public Member Functions inherited from Controller
static | extend (proto, statics)
| Extends from Controller class and generates a new Controller class! More...
static | getName ()
| Name of the controller class used in @controller directive. More...
Protected Member Functions inherited from StatefulController
| stateIn ()
| Triggered when the viewer state switched into this 'ExpectedStateHandlerClass'. More...
| stateOut ()
| Triggered when the viewer state switched into another StateHandlerClass. More...
Protected Member Functions inherited from Controller
| mounted ()
| This method is called after the component is inserted into DOM tree, where you can add some event listeners to the component or handle any other tasks. More...
| postlink ()
| This method is called during component postlink lifecycle. More...
| prelink ()
| This method is called during component prelink lifecycle. More...
Static Protected Member Functions inherited from Controller
static | services ()
Protected Attributes inherited from Controller
Component | component
| The component of this controller. More...

## Detailed Description

### Feature:

switch current state handler to STATE_HANDLER_NAMES.STATE_HANDLER_CREATE_CIRCLE_AREA.

### Usage:

#### in template:

<create-area-button @controller="distance:CreateAreaController"></create-area-button>
<xbutton @controller="distance:CreateAreaController"></xbutton>
<contextmenu-item @controller="distance:CreateAreaController"></contextmenu-item>

#### in fragment config:

new PDFUI({
fragments: [{
target: 'create-area-btn',
config: {
callback: UIExtension.controllers.CreateAreaController
}
}]
});

@2025 Foxit Software Incorporated. All rights reserved.